%define         anolis_release 1

Name:           fmt
Version:        8.1.1
Release:        %{anolis_release}%{?dist}
Summary:        a formatting library providing a fast and safe alternative to C stdio and C++ iostreams.

License:        BSD
URL:            https://github.com/fmtlib/fmt
Source0:        https://github.com/fmtlib/fmt/archive/refs/tags/%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  ninja-build

%description
{fmt} is an open-source formatting library providing a fast and
safe alternative to C stdio and C++ iostreams.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for using %{name}.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_POSITION_INDEPENDENT_CODE:BOOL=ON \
    -DFMT_CMAKE_DIR:STRING=%{_libdir}/cmake/%{name} \
    -DFMT_LIB_DIR:STRING=%{_libdir}

%cmake_build

%install
%cmake_install

%generate_compatibility_deps

%check
%ctest

%files
%license LICENSE.rst
%{_libdir}/lib%{name}.so.*
%dir %{abidir}
%{abidir}/lib%{name}.dump

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%doc ChangeLog.rst README.rst

%changelog
* Tue Mar 28 2023 Feng Su <sufeng@linux.alibaba.com>  - 8.1.1-1
- Downgrading to v8.1.1

* Sun Mar 26 2023 Feng Su <sufeng@linux.alibaba.com>  - 9.1.0-1
- package init from upstream
